Eclipse Rich Ajax Platform

## org.eclipse.rwt.lifecycle
Class JSVar

    java.lang.Object
      org.eclipse.rwt.lifecycle.JSVar

Deprecated. As of RAP 1.5, the client-server protocol is based on JSON. This class is related to the old JavaScript-based protocol.

    @Deprecated
    public final class JSVar

extends java.lang.Object

Instances of this class represent a JavaScript variable. In contrast to Strings, JSVars are not enclosed in double quotes in the response.

Since:
  1.0

Constructor Summary
`JSVar()` Deprecated. Creates a new JSVar instance with a generated name which is guaranteed to be unique within the session.
`JSVar(java.lang.String name)` Deprecated. Creates a new JSVar instance with the given name.

Method Summary
`java.lang.String` `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSVar

    public JSVar()

  Deprecated.
  Creates a new JSVar instance with a generated name which is guaranteed to be unique within the session.

### JSVar

    public JSVar(java.lang.String name)

  Deprecated.
  Creates a new JSVar instance with the given name.

  Parameters:
    `name` - the variable name, must neither be `null` nor empty.

Method Detail

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.